#! /perl -w
use strict;
use open IO => ':bytes';

# 改行コードを Mac 形式に変換する

sub Parse($) {
	my ($file) = @_;
	print "FILE: $file\n";
	open(IN, $file) or die $!;
	my $text = join('', <IN>);
	close(IN);
# convert to MAC
	$text =~ s/\r\n|\r|\n/\r/g;
# end convert
	open(OUT, ">$file.dos") or die $!;
	print OUT $text;
	close(OUT);
}

while (my $file = shift) {
	if (-d $file) {
		opendir(DIR, $file) or die $!;
		my @items = readdir(DIR);
		closedir(DIR);
		print "DIR: $file\n";
		for my $item (@items) {
			Parse($item) unless ($item =~ /^\./);
		}
	} else {
		Parse($file);
	}
}
