#! /usr/bin/perl -w
use strict;
use utf8;

# ファイル名を変更する．

sub Rename($) {
	my ($path) = @_;
	my ($dir, $name) = $path =~ m|^(.*)/([^/]*)$|;
	my $new = $name;
# 	変換規則
	if ($new =~ s/1a09/1b01/) {
		if (rename($path, "$dir/$new")) {
			print "$path => $new\n";
		} else {
			warn "Can't rename: $path => $new\n";
		}
	}
}

die unless @ARGV;

while (my $path = shift) {
	utf8::decode($path);
	if (-d $path) {
		opendir(DIR, $path);
		my @items = readdir(DIR);
		closedir(DIR);
		while (my $name = shift @items) {
			utf8::decode($name);
			Rename("$path/$name") unless ($name =~ /^\./);
		}
	} else {
		Rename($path);
	}
}
